-module(group2).

alma() ->
    A = lists:filter(fun(K) -> [] == K end, []),
    B = lists:map(fun(K) -> [K] end, A),
    C = lists:flatmap(fun(K) -> [A,K] end, A).

korte() ->
    A = lists:filter(fun(K) -> [] == K end, []),
    B = lists:map(fun(K) -> [K] end, A),
    C = lists:merge(fun(K) -> [A,K] end, A).
    

szilva() ->
    A = lists:filtermap(fun(K) -> [] == K end, []),
    B = lists:map(fun(K) -> [K] end, A),
    C = lists:flatmap(fun(K) -> [A,K] end, A).
  


barack() ->
    A = lists:filter(fun(K) -> [] == K end, []),
    B = lists:map(fun(K) -> [K] end, A),
    C = lists:merge(fun(K) -> [A,K] end, A).
   
